import sys


try:
    from skbuild import setup
except ImportError:
    print(
        "Please update pip, you need pip 10 or greater,\n"
        " or you need to install the PEP 518 requirements in pyproject.toml yourself",
        file=sys.stderr,
    )
    raise

setup(
    name="imgui-bundle",
    version="0.5.1",
    author="Pascal Thomet",
    author_email="pthomet@gmail.com",
    description="imgui-bundle, autogenerated bindings for ImGui (docking), ImPlot and HelloImgui",
    long_description="These bindings were generated using srcmlcpp/litgen",
    url="https://github.com/pthom/litgen",
    packages=(["imgui_bundle"]),
    package_dir={"": "bindings"},
    cmake_install_dir="bindings/imgui_bundle",
    include_package_data=True,
    extras_require={"test": ["pytest"]},
    python_requires=">=3.6",
    package_data={"imgui_bundle": ["py.typed", "*.pyi", "assets/fonts/*.ttf"]},
    install_requires=["numpy >= 1.15"],
)
